FreeMat

- Main Page
- Related Pages

vtkImageToStructuredPoints

Section: Visualization Toolkit Filtering Classes

# Usage

vtkImageToStructuredPoints changes an image cache format to a structured points dataset. It takes an Input plus an optional VectorInput. The VectorInput converts the RGB scalar components of the VectorInput to vector pointdata attributes. This filter will try to reference count the data but in some cases it must make a copy.

To create an instance of class vtkImageToStructuredPoints, simply invoke its constructor as follows

      obj = vtkImageToStructuredPoints

# Methods

The class vtkImageToStructuredPoints has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageToStructuredPoints class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageToStructuredPoints = obj.NewInstance ()`
- `vtkImageToStructuredPoints = obj.SafeDownCast (vtkObject o)`
- `obj.SetVectorInput (vtkImageData input)` - Set/Get the input object from the image pipeline.
- `vtkImageData = obj.GetVectorInput ()` - Set/Get the input object from the image pipeline.
- `vtkStructuredPoints = obj.GetStructuredPointsOutput ()` - Get the output of the filter.